.services-timeline-title {
    font-size: var(--font-size-32);
    font-weight: 600;
    color: var(--color-black);
    margin: 0 0 50px 0;
    text-align: center;
}

.services-timeline-list {
    background: var(--color-white);
    padding: 32px;
    border-radius: 16px;
    position: relative;
}

.services-timeline-item {
    display: flex;
    gap: 30px;
    padding: 0;
    position: relative;
}
.services-timeline-subtitle {
    margin-bottom: 50px;
    text-align: center;
}
.services-timeline-item::after {
    content: '';
    position: absolute;
    top: 0;
    left: 20px;
    width: 10px;
    height: 100%;
    background: var(--color-light-300);
}

.services-timeline-item:last-child::after {
    content: '';
    position: absolute;
    top: 0;
    left: 20px;
    width: 10px;
    height: 16px;
    background: var(--color-light-300);
}


/* Step Number Box */
.services-timeline-step-number {
    min-width: 50px;
    height: 50px;
    background: var(--color-primary);
    border-radius: 16px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--color-white);
    font-size: var(--font-size-20);
    font-weight: 300;
    margin-top: 14px;
    position: relative;
    z-index: 1;
}

/* Content (title & desc) */
.services-timeline-item-content {
    width: 100%;
    padding: 20px 0;
    display: grid;
    align-items: flex-start;
    justify-content: flex-start;
    grid-template-columns: 250px 1fr;
    gap: 24px;
}

.services-timeline-item:not(:last-child) .services-timeline-item-content{
    border-bottom: 1px solid #e9e9e9;
}

.services-timeline-item-title {
    font-size: var(--font-size-20);
    font-weight: 700;
    color: var(--color-black);
    margin: 0;
}

.services-timeline-item-description p {
    font-size: var(--font-size-20);
    color: var(--color-black);
    font-weight: 300;
    margin: 0;
}

@media (max-width: 767px) {
    .services-timeline-title {
        font-size: var(--font-size-24);
        margin: 0 0 30px 0;
    }
    .services-timeline-list {
        padding: 20px;
    }
    .services-timeline-item {
        gap: 20px;
    }
    .services-timeline-item-content {
        grid-template-columns: 1fr;
        gap: 14px;
    }
    .services-timeline-item-title {
        font-size: var(--font-size-16);
    }
    .services-timeline-item-description p {
        font-size: var(--font-size-14);
    }
    .services-timeline-step-number {
        min-width: 40px;
        height: 40px;
        border-radius: 8px;
        font-size: var(--font-size-14);
        margin-top: 8px;
    }
    .services-timeline-item::after {
        left: 15px;
    }
    .services-timeline-item:last-child::after {
        left: 15px;
    }
}

@media (min-width: 768px) and (max-width: 1023px) {
    .services-timeline-title {
        font-size: var(--font-size-24);
        margin: 0 0 30px 0;
    }
    .services-timeline-list {
        padding: 20px;
    }
    .services-timeline-item-title {
        font-size: var(--font-size-16);
    }
    .services-timeline-item-description p {
        font-size: var(--font-size-14);
    }
    .services-timeline-step-number {
        min-width: 40px;
        height: 40px;
        border-radius: 8px;
        font-size: var(--font-size-14);
        margin-top: 8px;
    }
    .services-timeline-item::after {
        left: 15px !important;
    }
}

@media (min-width: 1024px) and (max-width: 1279px) {
    .services-timeline-title {
        font-size: var(--font-size-24);
        margin: 0 0 30px 0;
    }
    .services-timeline-list {
        padding: 20px;
    }
    .services-timeline-item-title {
        font-size: var(--font-size-16);
    }
    .services-timeline-item-description p {
        font-size: var(--font-size-14);
    }
}